﻿using Syncfusion.UI.Xaml.Grid;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;
using Syncfusion.UI.Xaml.Grid.Helpers;
using Syncfusion.UI.Xaml.ScrollAxis;
using System.Windows.Media;

namespace SelectionDemo
{
    
    public class GridCellSelectionControllerExt : GridCellSelectionController
    {
        public GridCellSelectionControllerExt(SfDataGrid dataGrid) : base(dataGrid)
        {

        }
        protected override void ProcessPointerPressed(MouseButtonEventArgs args, RowColumnIndex rowColumnIndex)
        {
            var columnIndex = this.DataGrid.ResolveToGridVisibleColumnIndex(rowColumnIndex.ColumnIndex);
            var column = this.DataGrid.Columns[columnIndex];
            if (column is GridCheckBoxColumn)
            {         
                base.ProcessPointerPressed(args, rowColumnIndex);
            }
        }
        protected override void ProcessKeyDown(KeyEventArgs args)
        {
            return;
        }
    }
}
